package com.ylx.massage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ylx.massage.domain.TbFile;
import com.ylx.massage.mapper.TbFileMapper;
import org.springframework.stereotype.Service;
import com.ylx.massage.service.TbFileService;

/**
 * (TbFile)表服务实现类
 *
 * @author makejava
 * @since 2024-04-27 17:12:46
 */
@Service("tbFileService")
public class TbFileServiceImpl extends ServiceImpl<TbFileMapper, TbFile> implements TbFileService {

    @Override
    public TbFile getByMd5(String md5) {
        LambdaQueryWrapper<TbFile> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TbFile::getMd5,md5);
        return this.getOne(queryWrapper);
    }
}

